Get a storage reconciliation job
GET
/v1/tenants/current/storage-reconciliation-jobs/{jobId}curl -X GET 'https://api.embodiflow.io/v1/tenants/current/storage-reconciliation-jobs/{jobId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- jobIdstringrequired
Responses
Success
- dataobjectrequired
- jobobjectrequired
- resultsarray<StorageReconciliationResultSummaryDto>required
Response example
{
"data": {
"job": {
"id": "string",
"tenantId": "string",
"bucketId": "string",
"status": "queued",
"idempotencyKey": "string",
"severity": "ok",
"mismatchCount": 0,
"occurredAt": "string",
"claimedAt": "string",
"startedAt": "string",
"completedAt": "string",
"failedAt": "string",
"lastError": "string",
"createdAt": "string",
"updatedAt": "string"
},
"results": [
{
"id": "string",
"tenantId": "string",
"jobId": "string",
"bucketId": "string",
"projectId": "string",
"objectPrefix": "string",
"storageTier": "string",
"status": "matched",
"severity": "ok",
"providerObjectCount": 0,
"providerBytes": "string",
"dbObjectCount": 0,
"dbBytes": "string",
"ledgerObjectCount": 0,
"ledgerBytes": "string",
"diffSummary": {
"bytesDelta": "string",
"objectCountDelta": 0,
"providerVsDbBytesDelta": "string",
"providerVsDbObjectCountDelta": 0,
"dbVsLedgerBytesDelta": "string",
"dbVsLedgerObjectCountDelta": 0,
"thresholds": {
"warningAbsoluteBytes": "string",
"warningRelativeRatio": 0,
"criticalAbsoluteBytes": "string",
"criticalRelativeRatio": 0
}
},
"occurredAt": "string"
}
]
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1